Package ghidra.features.bsim.gui.search.dialog

# Record Class BSimFilterSet.FilterEntry

java.lang.Object
java.lang.Record
ghidra.features.bsim.gui.search.dialog.BSimFilterSet.FilterEntry

Enclosing class:
  `BSimFilterSet`

public static record BSimFilterSet.FilterEntry(BSimFilterType filterType, List<String> values) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterEntry(BSimFilterType filterType, List<String> values)`
  Creates an instance of a `FilterEntry` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `BSimFilterType`
  `filterType()`
  Returns the value of the `filterType` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `List<String>`
  `values()`
  Returns the value of the `values` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FilterEntry

    public FilterEntry(BSimFilterType filterType, List<String> values)
    Creates an instance of a `FilterEntry` record class.
    Parameters:
      `filterType` - the value for the `filterType` record component
      `values` - the value for the `values` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### filterType

    public BSimFilterType filterType()
    Returns the value of the `filterType` record component.
    Returns:
      the value of the `filterType` record component

  - ### values

    public List<String> values()
    Returns the value of the `values` record component.
    Returns:
      the value of the `values` record component